View Issue Details

IDProjectCategoryView StatusLast Update
00311152.x IDE BugsSyntax ErrorsPublic2019-08-19 12:15
ReporterScott DunbarAssigned ToRussell Kay 
PriorityLowSeverityD - MinorReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.2 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031115: Syntax Errors: Function gpu_set_fog will show a number of arguments syntax error when using an array as the argument
DescriptionIssue:
According to gpu_set_fog() documentation:
The function can take four individual arguments (given above) or an array with the following structure (the example code below shows this method).

Manual's example:
var fog_a = gpu_get_fog();
fog_a[1] = c_red;
gpu_set_fog(fog_a);

However, if you copy and paste the example of the manual in the IDE, you'll get a "number of arguments expected" error in the code editor gutter.

The error doesn't prevent the project from running.
Steps To Reproduce1. import attached project
2. open object0 - create event
3. observe error on function line
TagsIDE
2.x IDE Found In2.2.2.413
2.x Runtime Found In2.2.2.326
2.x IDE Verified In9.2.1.1945
2.x Runtime Verified In9.9.1.1531

Activities

Scott Dunbar

2019-07-01 12:10

Adminstrator  

gpu_set_fog.yyz (19,695 bytes)

Dan

2019-07-01 12:16

Adminstrator  

fogvalsCodeError.jpg (11,869 bytes)
fogvalsCodeError.jpg (11,869 bytes)

Russell Kay

2019-07-02 14:48

Manager   ~0064330

Fixed in gitlab